#!/bin/bash

USAGE="2 arguments expected: (1) aligner, (2) number of sequences\npossible numbers of sequences 4,5,6,7,8,16\npossible aligners clustalo, muscle, mafft, linsi"
if [ $# -ne 2 ]; then
	echo -e $USAGE
	exit
else
	LEAVES=$2
	ALIGNER=$1
fi
echo "you selected "$ALIGNER" and "$LEAVES

if [ $LEAVES -eq 4 ]; then
	UNLABELED=2
elif [ $LEAVES -eq 5 ]; then
	UNLABELED=3
elif [ $LEAVES -eq 6 ]; then
	UNLABELED=6
elif [ $LEAVES -eq 7 ]; then
	UNLABELED=11
elif [ $LEAVES -eq 8 ]; then
	UNLABELED=23
elif [ $LEAVES -eq 16 ]; then
	UNLABELED=101 # this is only a small sample
else 
	echo "don't know how to process "$LEAVES" sequences, only possibilities 4,5,6,7,8,16"
	exit
fi

wc=$(ls $ALIGNER-$LEAVES-*.cdf | wc | awk '{print $1}')

RESULT=$ALIGNER-$LEAVES.CDF
echo -e "# Note:\taligner "$ALIGNER  > $RESULT
echo -e "# Note:\tfamilies "$wc" , sequences "$LEAVES" , topologies "$UNLABELED >> $RESULT
echo -e "# Note:\ttree-ID=1 as balanced as possible, tree-ID="$UNLABELED" totaly chained" >> $RESULT
echo -e "# Note:\t1.tree-ID, 2.lowest-TC, 3.bottom-25%-TC, 4.median-TC, 5.top-25%-TC, 6.highest-TC, 7.labelings, 8.example" >> $RESULT

awk -v u=$UNLABELED '!/#/ {L[$1]=$7; E[$1]=$8; tcL[$1]+=$2; tcB[$1]+=$3; tcM[$1]+=$4; tcT[$1]+=$5; tcH[$1]+=$6; c[$1]++} END {c[0]=c[1];for(i=1;i<=u;i++){if(c[i]!=c[i-1]){print "count does not tally"; exit}; print i"\t"tcL[i]/c[i]"\t"tcB[i]/c[i]"\t"tcM[i]/c[i]"\t"tcT[i]/c[i]"\t"tcH[i]/c[i]"\t"L[i]"\t"E[i]}}' $ALIGNER-$LEAVES-*.cdf >> $RESULT


exit


for dat in *.cdf; do

	base=$(basename $cdf .cdf)
	aligner=$(echo $cdf | awk -F'[-]' '{print $1}')
	leaves=$(echo $cdf | awk -F'[-]' '{print $2}')
	header=$(echo $cdf | awk -F'[-_]' '{print $3}')
	fam=$(echo $base | sed -e "s/$aligner-$leaves-$header\_//")
	if [ $leaves -eq 4 ]; then
	    unlabeled=2
	elif [ $leaves -eq 5 ]; then
	    unlabeled=3
	elif [ $leaves -eq 6 ]; then
	    unlabeled=6
	elif [ $leaves -eq 7 ]; then
	    unlabeled=11
	elif [ $leaves -eq 8 ]; then
            unlabeled=23
	elif [ $leaves -eq 16 ]; then
	    unlabeled=101 # this is only a small sample
	else
	    echo "don't know how to process "$LEAVES" sequences, only possibilities 4,5,6,7,8,16"
	    exit
	fi


	
	for u in `seq 1 $unlabeled`; do

		# $3 is TC-score
		example=$(awk -v u=$u '!/#/ && $2==u {print $1; exit}' $dat | sed 's/[0-9]/x/g')
		tcSort=$(awk -v u=$u '!/#/ && $2==u {print $3}' $dat | sort -n)
		entries=$(echo $tcSort | wc --words)
		lo=0
		hi=$(($entries-1))
		med=$(echo $entries"/2" | bc)
		top=$(echo $entries"*3/4" | bc)
		bot=$(echo $entries"/4" | bc)
		tc=( $tcSort )
		echo -e $u"\t"${tc[lo]}"\t"${tc[bot]}"\t"${tc[med]}"\t"${tc[top]}"\t"${tc[hi]}"\t"$entries"\t"$example >> $RESULT
	done # went through topologies

done # went through data files