#!/bin/bash

for dat in *.dat; do

	base=$(basename $dat .dat)
	aligner=$(echo $dat | awk -F'[-]' '{print $1}')
	leaves=$(echo $dat | awk -F'[-]' '{print $2}')
	header=$(echo $dat | awk -F'[-_]' '{print $3}')
	fam=$(echo $base | sed -e "s/$aligner-$leaves-$header\_//")
	if [ $leaves -eq 4 ]; then
	    unlabeled=2
	elif [ $leaves -eq 5 ]; then
	    unlabeled=3
	elif [ $leaves -eq 6 ]; then
	    unlabeled=6
	elif [ $leaves -eq 7 ]; then
	    unlabeled=11
	elif [ $leaves -eq 8 ]; then
            unlabeled=23
	elif [ $leaves -eq 16 ]; then
	    unlabeled=101 # this is only a small sample
	else
	    echo "don't know how to process "$LEAVES" sequences, only possibilities 4,5,6,7,8,16"
	    exit
	fi

	RESULT=$base.cdf
	echo -e "# Note:\taligner "$aligner  > $RESULT
	echo -e "# Note:\tfamily "$fam" , sequences "$leaves" , topologies "$unlabeled >> $RESULT
	echo -e "# Note:\ttree-ID=1 as balanced as possible, tree-ID="$unlabeled" totaly chained" >> $RESULT
	echo -e "# Note:\t1.tree-ID, 2.lowest-TC, 3.bottom-25%-TC, 4.median-TC, 5.top-25%-TC, 6.highest-TC, 7.labelings, 8.example" >> $RESULT

	
	for u in `seq 1 $unlabeled`; do

		# $3 is TC-score
		example=$(awk -v u=$u '!/#/ && $2==u {print $1; exit}' $dat | sed 's/[0-9]/x/g')
		tcSort=$(awk -v u=$u '!/#/ && $2==u {print $3}' $dat | sort -n)
		entries=$(echo $tcSort | wc --words)
		lo=0
		hi=$(($entries-1))
		med=$(echo $entries"/2" | bc)
		top=$(echo $entries"*3/4" | bc)
		bot=$(echo $entries"/4" | bc)
		tc=( $tcSort )
		echo -e $u"\t"${tc[lo]}"\t"${tc[bot]}"\t"${tc[med]}"\t"${tc[top]}"\t"${tc[hi]}"\t"$entries"\t"$example >> $RESULT
	done # went through topologies

done # went through data files