#!/bin/bash


#### 
# change the following lines to your local settings
RETREE=~/System/Install/phylip-3.695/exe/retree
ROOT=~/Omega/Papers/2013-Apr-AllTrees
# below this line nothing should have to be changed
####

TOOLS=$ROOT/Tools


RESULT="raxml-trees.dat"
echo -e "# Note:\tsummarise rooted RAxML trees" > $RESULT
echo -e "# Note:\ttrees rooted using "$RETREE" with flags YMWRQ" >> $RESULT
echo -e "# Note:\t1.tree is rooted tree with branch-lengths removed" >> $RESULT
echo -e "# Note:\t2.ID is identifier as in Figure~5, '1'=balanced, '23'=chained" >> $RESULT
echo -e "# Note:\t4.sack is Sachin measure, 5.coll is Colless measure" >> $RESULT
echo -e "# Note:\t6.invmax is measure according to Sokal, 7.shannon is Shannon Entrory" >> $RESULT
echo -e "# Note:\t8.dia is tree diameter, 9.fam is family" >> $RESULT
echo -e "#1.tree\t\t\t\t2.ID\t3.depth\t4.sack\t5.coll\t6.invmax\t7.shannon\t8.dia\t9.fam" >> $RESULT

for f in RAxML_bestTree.*; do

	base=$(basename $f .ref.phy_)
	refFam=$(echo $base | sed 's/RAxML_bestTree.//g')
	ref=$(echo $refFam | awk -F'[_]' '{print $1}')
	fam=$(echo $refFam | sed -e "s/$ref\_//")

	cp $f intree

	$RETREE>/dev/null<<EOF
Y
M
W
R
Q
EOF

        sed 's/_[0-9a-zA-Z_]*//g' outtree > dndfile; rm outtree; rm intree
        tree=$(cat  dndfile | tr -d '\n' | sed 's/:[0-9\.]*//g' | sed 's/;//g')
        sokal=$($TOOLS/xSokal dndfile); rm dndfile
        depth=$(echo $sokal | awk '{print $6}')
        sachin=$(echo $sokal | awk '{print $8}')
        colless=$(echo $sokal | awk '{print $10}')
        invmax=$(echo $sokal | awk '{print $12}')
        shannon=$(echo $sokal | awk '{print $14}')
        diam=$(echo $sokal | awk '{print $16}')

	thisTree=$(awk -v d=$depth -v s=$sachin -v c=$colless -v i=$invmax -v e=$shannon -v D=$diam '{if(d==$2 && s==$3 && c==$4 && i==$5 && e==$6 && D==$7){cnt++; T[cnt]=$1}} END {for(i in T){printf("%d",T[i])}}' sokalMeasures.dat)

	echo -e $tree"\t"$thisTree"\t"$depth"\t"$sachin"\t"$colless"\t"$invmax"\t"$shannon"\t"$diam"\t"$refFam >> $RESULT
	
done